## ros-indigo-swri-transform-util 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_transform_util)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  geographic_msgs
  geometry_msgs
  gps_common
  nodelet
  roscpp
  rospy
  swri_math_util
  swri_nodelet
  swri_roscpp
  swri_yaml_util
  tf
  topic_tools
)

catkin_python_setup()

find_package(OpenCV  REQUIRED core highgui imgproc video)
find_package(Boost REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJ proj)
if(NOT "${PROJ_FOUND}")
  set(PROJ_INCLUDE_DIRS /usr/include)
  set(PROJ_LIBRARY_DIRS /usr/lib)
  find_library(PROJ_LIBRARIES proj
    HINTS ${PROJ_LIB_DIRS}
  )
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    diagnostic_msgs
    geographic_msgs
    geometry_msgs
    gps_common
    nodelet
    roscpp
    rospy
    swri_math_util
    swri_nodelet
    swri_roscpp
    swri_yaml_util
    tf
    topic_tools
  DEPENDS PROJ
)

include_directories(include 
  ${catkin_INCLUDE_DIRS} 
  ${Boost_INCLUDE_DIRS} 
  ${OpenCV_INCLUDE_DIRS}
  ${PROJ_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/georeference.cpp
  src/local_xy_util.cpp
  src/utm_util.cpp
  src/transform.cpp
  src/transformer.cpp
  src/transform_manager.cpp
  src/transform_util.cpp
  src/utm_transformer.cpp
  src/wgs84_transformer.cpp)
link_directories(${OpenCV_LIBRARY_DIRS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBS} ${PROJ_LIBRARIES})

add_library(${PROJECT_NAME}_nodelets
  src/nodelets/dynamic_publisher.cpp
  src/nodelets/gps_transform_publisher.cpp)
target_link_libraries(${PROJECT_NAME}_nodelets ${catkin_LIBRARIES} ${PROJECT_NAME})

add_executable(lat_lon_tf_echo src/nodes/lat_lon_tf_echo.cpp)
target_link_libraries(lat_lon_tf_echo ${PROJECT_NAME})

swri_nodelet_add_node(gps_transform_publisher ${PROJECT_NAME} GpsTransformPublisher)
target_link_libraries(gps_transform_publisher ${PROJECT_NAME}_nodelets ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(test_local_xy_util launch/local_xy_util.test test/test_local_xy_util.cpp)
  target_link_libraries(test_local_xy_util ${PROJECT_NAME})

  add_rostest_gtest(test_utm_util launch/utm_util.test test/test_utm_util.cpp)
  target_link_libraries(test_utm_util ${PROJECT_NAME})

  add_rostest_gtest(test_transform_manager launch/transform_manager.test test/test_transform_manager.cpp)
  target_link_libraries(test_transform_manager ${PROJECT_NAME})

  add_rostest_gtest(test_georeference launch/georeference.test test/test_georeference.cpp)
  target_link_libraries(test_georeference ${PROJECT_NAME})

  add_rostest_gtest(test_transform_util launch/transform_util.test test/test_transform_util.cpp)
  target_link_libraries(test_transform_util ${PROJECT_NAME})

  add_rostest(test/initialize_invalid_gps.test)
  add_rostest(test/initialize_invalid_navsat.test)
  add_rostest(test/initialize_origin_auto_gps.test)
  add_rostest(test/initialize_origin_auto_navsat.test)
  add_rostest(test/initialize_origin_manual.test)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_nodelets lat_lon_tf_echo
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

### Install Python Nodes/Scripts ###
catkin_install_python(PROGRAMS nodes/initialize_origin.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-transform-util (2.8.0-0trusty) trusty; urgency=high

  * Reduce the number of local_xy subscribers from 3 per transform manager to 1 (#537 <https://github.com/swri-robotics/marti_common/issues/537>)
  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-transform-util (2.7.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-transform-util (2.7.2-0trusty) trusty; urgency=high

  * Fix the unit test that intermittently breaks (#534 <https://github.com/swri-robotics/marti_common/issues/534>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-transform-util (2.7.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-transform-util (2.7.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-transform-util (2.6.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-transform-util (2.5.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-transform-util (2.4.0-0trusty) trusty; urgency=high

  * Handle invalid fixes properly (#519 <https://github.com/swri-robotics/marti_common/issues/519>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-transform-util (2.3.0-0trusty) trusty; urgency=high

  * Initialize transform timestamp to 0 instead of ros::Time::now() (#515 <https://github.com/swri-robotics/marti_common/issues/515>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-transform-util (2.2.1-0trusty) trusty; urgency=high

  * Support ROS Melodic (#514 <https://github.com/swri-robotics/marti_common/issues/514>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-transform-util (2.2.0-0trusty) trusty; urgency=high

  * Add gps_transform_publisher. (#509 <https://github.com/swri-robotics/marti_common/issues/509>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-transform-util (2.1.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-transform-util (2.0.0-0trusty) trusty; urgency=high

  * expose TransformManager::LocalXyUtil() and LocalXyWgs84Util::ResetInitialization() (#501 <https://github.com/swri-robotics/marti_common/issues/501>)
  * Complete rewrite of initialize_origin.py (#491 <https://github.com/swri-robotics/marti_common/issues/491>)
  * Normalize TF frames before comparisons. (#492 <https://github.com/swri-robotics/marti_common/issues/492>)
  * Add new methods that expose the frame timeout. (#498 <https://github.com/swri-robotics/marti_common/issues/498>)
  * Use pkgconfig to include libproj in swri_transform_util
  * Contributors: Davide Faconti, Edward Venator, P. J. Reed

 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-transform-util (1.2.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-transform-util (1.1.0-0trusty) trusty; urgency=high

  * Revert "Remove nodelet_plugins.xml from CMakeLists.txt" (#475 <https://github.com/pjreed/marti_common/issues/475>)
  * Document swri_transform_util (#456 <https://github.com/pjreed/marti_common/issues/456>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-transform-util (1.0.0-0trusty) trusty; urgency=high

  * Increase delay before running tests.
  * Integrate transformers as static classes instead of plug-ins.
  * Add inverse transform implementation to transforms. (#464 <https://github.com/evenator/marti_common/issues/464>)
  * Add tests for initialize_origin.py script (#457 <https://github.com/evenator/marti_common/issues/457>)
  * Contributors: Edward Venator, Marc Alban

 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-transform-util (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Fix dynamic reconfigure in dynamic_publisher (closes issue #448 <https://github.com/pjreed/marti_common/issues/448>).
  * Contributors: Elliot Johnson, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-transform-util (0.2.4-0trusty) trusty; urgency=high

  * Ignore invalid fixes
    Fixes #431 <https://github.com/swri-robotics/marti_common/issues/431>.
  * Remove unused gps_common dependency (#422 <https://github.com/swri-robotics/marti_common/issues/422>)
    Fix #421 <https://github.com/swri-robotics/marti_common/issues/421> by removing gps_common from the swri_transform_util CMakeLists.txt in kinetic.
  * Simplify dynamic reconfigure usage.
  * Add nodelet for publishing a dynamically reconfigurable TF transform.
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-transform-util (0.2.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-transform-util (0.2.2-0trusty) trusty; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-transform-util (0.2.1-0trusty) trusty; urgency=high

  * Improve georeferencing warnings.
  * Contributors: Marc Alban



=== debian/control ===
Source: ros-indigo-swri-transform-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-geographic-msgs, ros-indigo-geometry-msgs, ros-indigo-gps-common, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-swri-math-util, ros-indigo-swri-nodelet, ros-indigo-swri-roscpp, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-topic-tools
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-indigo-swri-transform-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-geographic-msgs, ros-indigo-geometry-msgs, ros-indigo-gps-common, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-swri-math-util, ros-indigo-swri-nodelet, ros-indigo-swri-roscpp, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-topic-tools
Description: The swri_transform_util package contains utility functions and classes for transforming between coordinate frames.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-transform-util//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
